Bug 447497 - RFE: support for IPMI v2.0 ciphersuites in fence_ipmilan
RFE: support for IPMI v2.0 ciphersuites in fence_ipmilan
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Jan Friesse
GFS Bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 02:09 EDT by Subhendu Ghosh
Modified: 2016-10-04 00:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: cman-2.0.100-1.el5
Doc Type: Enhancement
Doc Text:
Cause: Non existing parameter Consequence: User cannot select IPMI cipher Fix: Add option to allow user select IPMI cipher Result: User now can select IPMI cipher
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch providing required function (7.49 KB, patch)
2008-11-25 05:48 EST, Jan Friesse
no flags Details | Diff

  None (edit)
Description Subhendu Ghosh 2008-05-20 02:09:18 EDT
Description of problem:
The current release of fence_impilan only supports IPMI v1.5 authtype format. 
The underlying ipmitool also supports IPMI v2.0 ciphersuites in lanplus
connections. Would be nice to get IPMIv2 support in fence_ipmilan.


Version-Release number of selected component (if applicable):
cman-2.0.73-1.el5_1.5
OpenIPMI-tools-2.0.6-5.el5.4
Comment 1 Jan Friesse 2008-11-25 05:48:51 EST
Created attachment 324587 [details]
Patch providing required function

If user select lanplus as IPMI protocol, ipmitool automatically select cipher type 3. This patch add possibility to select another type of cipher. New -C parameter is directly passed as -C parameter to ipmitool.
Comment 4 Jan Friesse 2009-05-19 03:49:07 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: Developer
Consequence: User cannot select IPMI cipher
Fix: Add option to allow user select IPMI cipher
Result: User now can select IPMI cipher
Comment 5 Jan Friesse 2009-05-19 03:54:32 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,4 @@
-Cause: Developer
+Cause: Non existing parameter
 Consequence: User cannot select IPMI cipher
 Fix: Add option to allow user select IPMI cipher
 Result: User now can select IPMI cipher
Comment 7 errata-xmlrpc 2009-09-02 07:09:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.